%global momorel 1
%global rcver 1
%global md5sum_src0 9da6d342fcff478e2bb3ec02998c9ade

Name: 		cogito
Version: 	0.18
#Release: 	%{momorel}m
Release: 	0.%{rcver}.%{momorel}m
#Vendor: 	Petr Baudis <pasky@ucw.cz>
Summary:  	Git core and tools
License: 	GPL
Group: 		Development/Tools
URL: 		http://kernel.org/pub/software/scm/cogito/
%NoSource 0 	ftp://ftp.kernel.org/pub/software/scm/%{name}/%{name}-%{version}rc%{rcver}.tar.bz2 %{md5sum_src0}
Patch0: cogito-0.17-lib64.patch

Provides: 	cogito = %{version}
Obsoletes:	git
BuildRequires:	zlib-devel, openssl-devel, curl-devel >= 7.15.3-2m
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq: 	sh-utils, diffutils, rsync, rcs, mktemp >= 1.5

%description
GIT comes in two layers. The bottom layer is merely an extremely fast
and flexible filesystem-based database designed to store directory trees
with regard to their history. The top layer is a SCM-like tool which
enables human beings to work with the database in a manner to a degree
similar to other SCM tools (like CVS, BitKeeper or Monotone).

%prep
%setup -q -n %{name}-%{version}rc%{rcver}
%if %{_lib}=="lib64"
%patch0 -p1 -b .lib64
%endif

%build
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} prefix=%{_prefix} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
%dir %{_datadir}/cogito
%dir %{_libdir}/cogito
%{_bindir}/*
%{_libdir}/cogito/*
%{_datadir}/cogito/*

%changelog
* Fri Jul 28 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.18-0.1.1m)
- update to 0.18rc1

* Sun Jun 18 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.17.3-1m)
- update to 0.17.3

* Wed May 31 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.17.2-1m)
- update to 0.17.2

* Sat May 27 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.17-2m)
- add lib64 patch

* Sat May 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.17-1m)
- update to 0.17
- change Source URI to ftp.kernel.org

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8-2m)
- rebuild against curl,openssl

* Sat May 07 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8-1m)
- import to Momonga

* Wed Apr 27 2005 Terje Rosten <terje.rosten@ntnu.no> 0.8-2
- Doc files
- Use %%{_prefix} macro
- Rename spec file
- Drop -n option to %%setup macro

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.8-1
- Update to cogito, rename package, move to /usr/bin, update prereqs

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.7-1
- Update to 0.7

* Thu Apr 21 2005 Chris Wright <chrisw@osdl.org> 0.6.3-1
- Initial rpm build
